#include <ios>
#include <bits/stdc++.h>
#include "triangles.h"
using namespace std;
using ll = long long;
vector<vector<int>> solve(int n) {
    if (n == 4) {
        vector <int> v(n);
        for (int i = 0; i < n; i++) {
            v[i] = i + 1;
        }
        for (int i = 0; i < n; i++) {
            Triangle a = {v[0], v[1], v[3]};
            Triangle b = {v[2], v[1], v[3]};
            Triangle c = {v[2], v[0], v[3]};
            Triangle d = {v[1], v[2], v[0]};
            if (compare({a, b, c}, {d}) == 0) {
                vector <vector <int>> ans;
                ans = {{v[0], v[1], v[3]}, {v[0], v[1], v[3]}, {v[0], v[1], v[3]}};
                return ans;
            }
            swap(v[i], v[3]);
        }
        Triangle a = {v[0], v[1], v[3]};
        Triangle b = {v[2], v[1], v[3]};
        Triangle c = {v[2], v[0], v[3]};
        Triangle d = {v[1], v[2], v[0]};
        if (ompare({d, a}, {b, c}) == 0) {
            vector <vector <int>> ans;
            ans = {{v[0], v[1], v[3]}, {v[1], v[2], v[0]}};
            return ans;
        }
        if (ompare({d, b}, {a, c}) == 0) {
            vector <vector <int>> ans;
            ans = {{v[1], v[2], v[0]}, {v[2], v[1], v[3]}};
            return ans;
        }
        if (ompare({d, c}, {a, b}) == 0) {
            vector <vector <int>> ans;
            ans = {{v[1], v[2], v[0]}, {v[2], v[0], v[3]}};
            return ans;
        }
    }
}

